efl::gfx::fill Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
efl::gfx::fill Struct Reference

Class fill. More...

## Public Member Functions
| fill (Eo *eo)
| Eo Constructor. More...
| fill (std::nullptr_t)
| nullptr_t Constructor. More...
| fill (fill const &other)
| Copy Constructor.
Efl_Gfx_Fill_Spread | fill_spread_get () const
| Retrieves the spread (tiling mode) for the given image object's fill. More...
void | fill_spread_set (Efl_Gfx_Fill_Spread spread_) const
| Sets the tiling mode for the given evas image object's fill. More...
void | fill_get (int *x_, int *y_, int *w_, int *h_) const
| Retrieve how an image object is to fill its drawing rectangle, given the (real) image bound to it. More...
void | fill_set (int x_, int y_, int w_, int h_) const
| Set how to fill an image object's drawing rectangle given the (real) image bound to it. More...
| fill (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::fill object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class fill.

## Constructor & Destructor Documentation

efl::gfx::fill::fill | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new efl::gfx::fill object.

Constructs a new efl::gfx::fill object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

efl::gfx::fill my_fill(efl::eo::parent = parent_object);

See also
  fill(Eo* eo)

efl::gfx::fill::fill | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

efl::gfx::fill::fill | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

Efl_Gfx_Fill_Spread efl::gfx::fill::fill_spread_get | ( |  | ) | const

Retrieves the spread (tiling mode) for the given image object's fill.

Returns
  The current spread mode of the image object.

Parameters

  spread | One of EVAS_TEXTURE_REFLECT, EVAS_TEXTURE_REPEAT,

void efl::gfx::fill::fill_spread_set | ( | Efl_Gfx_Fill_Spread | spread_ | ) | const

Sets the tiling mode for the given evas image object's fill.

EFL_GFX_FILL_RESTRICT, or EFL_GFX_FILL_PAD.

Parameters

  spread | One of EVAS_TEXTURE_REFLECT, EVAS_TEXTURE_REPEAT,

void efl::gfx::fill::fill_get | ( | int * | x_,
|  | int * | y_,
|  | int * | w_,
|  | int * | h_
| ) |  | const

Retrieve how an image object is to fill its drawing rectangle, given the (real) image bound to it.

Note
  Use `NULL` pointers on the fill components you're not interested in: they'll be ignored by the function.

See evas_object_image_fill_set() for more details.

Parameters

  x | The x coordinate (from the top left corner of the bound image) to start drawing from.
  y | The y coordinate (from the top left corner of the bound image) to start drawing from.
  w | The width the bound image will be displayed at.
  h | The height the bound image will be displayed at.

void efl::gfx::fill::fill_set | ( | int | x_,
|  | int | y_,
|  | int | w_,
|  | int | h_
| ) |  | const

Set how to fill an image object's drawing rectangle given the (real) image bound to it.

Note that if `w` or `h` are smaller than the dimensions of `obj`, the displayed image will be tiled around the object's area. To have only one copy of the bound image drawn, `x` and `y` must be 0 and `w` and `h` need to be the exact width and height of the image object itself, respectively.

See the following image to better understand the effects of this call. On this diagram, both image object and original image source have `a` x `a` dimensions and the image itself is a circle, with empty space around it:

Warning
  The default values for the fill parameters are `x` = 0, `y` = 0, `w` = 0 and `h` = 0. Thus, if you're not using the evas_object_image_filled_add() helper and want your image displayed, you'll have to set valid values with this function on your object.

Note
  evas_object_image_filled_set() is a helper function which will override the values set here automatically, for you, in a given way.

Parameters

  x | The x coordinate (from the top left corner of the bound image) to start drawing from.
  y | The y coordinate (from the top left corner of the bound image) to start drawing from.
  w | The width the bound image will be displayed at.
  h | The height the bound image will be displayed at.